#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	iptables
Summary:	Python 2 bindings for iptables
Summary(pl.UTF-8):	Wiązania Pythona 2 do iptables
Name:		python-%{module}
Version:	0.10.0
Release:	7
License:	Apache v2.0
Group:		Libraries/Python
Source0:	https://github.com/ldx/python-iptables/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c60e67cc14ad734b995016dbc29c29ee
URL:		https://github.com/ldx/python-iptables
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-modules >= 1:3.3
%endif
Requires:	python-modules >= 1:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2 bindings for iptables.

%description -l pl.UTF-8
Wiązania Pythona 2 do iptables.

%package -n python3-%{module}
Summary:	Python 3 bindings for iptables
Summary(pl.UTF-8):	Wiązania Pythona 3 do iptables
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
Python 3 bindings for iptables.

%description -n python3-%{module} -l pl.UTF-8
Wiązania Pythona 3 do iptables.

%package apidocs
Summary:	API documentation for Python iptables module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona iptables
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python iptables module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona iptables.

%prep
%setup -q

%build
%if %{with python2}
CC="%{__cc}" \
CFLAGS="%{rpmcppflags} %{rpmcflags}" \
%py_build
%endif

%if %{with python3}
CC="%{__cc}" \
CFLAGS="%{rpmcppflags} %{rpmcflags}" \
%py3_build
%endif

%if %{with doc}
cd doc
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.md
%dir %{py_sitedir}/iptc
%{py_sitedir}/iptc/*.py[co]
%attr(755,root,root) %{py_sitedir}/libxtwrapper.so
%{py_sitedir}/python_iptables-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.md
%dir %{py3_sitedir}/iptc
%{py3_sitedir}/iptc/__pycache__
%{py3_sitedir}/iptc/*.py
%attr(755,root,root) %{py3_sitedir}/libxtwrapper.cpython-*.so
%{py3_sitedir}/python_iptables-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/_build/html/*
%endif
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-iptables.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> a94b2a4
- rebuild with separate debuginfo build-ids

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> a960dcd
- unconditional noarch subpackages

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 4058b43
- release 6 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 6c28e0f
- rebuild with python 3.8
- release 5 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d79d4af
- release 4 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> cf45190
- python 3.6
- release 3 (by relup.sh)

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 046e858
- noarch apidocs

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 47da8d8
- updated to 0.10.0
- build python3 module by default

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 1881574
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> df8542a
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> fa1d1da
- automatic change: use py_build/py_install macros

* Fri Apr 10 2015 Elan Ruusamäe <glen@delfi.ee> a25d287
- cleanup & update BR

* Fri Apr 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c75b191
- initial; doesn't work with python3

